package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.AliquotaEstadoDestino;

public class RenderAliquotaEstadoDestino implements ListitemRenderer {
	
	@Override
	public void render(Listitem listItem, Object selectedAliquotaEstadoDest) throws Exception {
		
		Listcell lc = new Listcell();
		
		if(selectedAliquotaEstadoDest != null) {
			
			AliquotaEstadoDestino aliquotaEstadoDestino = (AliquotaEstadoDestino) selectedAliquotaEstadoDest;
			lc = new Listcell(aliquotaEstadoDestino.getEstado() != null ? aliquotaEstadoDestino.getEstado().getNombestado() : "");
			lc.setParent(listItem);
			lc = new Listcell(aliquotaEstadoDestino.getAliquota() != null ? ""+aliquotaEstadoDestino.getAliquota() : "");
			lc.setParent(listItem);
			listItem.setAttribute("data", aliquotaEstadoDestino);
			
		}
		
	}
}
